%define name mod_auth_pam
%define version 1.1.1
%define apache_version 1.3.33
%define release 10mdk

Summary: 	Pam authorisation for Apache
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Servers
URL: 		http://pam.sourceforge.net/mod_auth_pam/
Source: 	http://pam.sourceforge.net/mod_auth_pam/dist/%name-%{version}.tar.bz2
Patch:		mod_auth_pam.patch.bz2
BuildRequires:	apache-devel
Prereq:		apache = %{apache_version}
Prereq:		apache-common >= %{apache_version}
Prereq:		apache-conf >= %{apache_version}
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The PAM authentication module implements Basic authentication on 
top of the Pluggable Authentication Module library. Thereby it 
supports standard unix passwd, shadow, NIS, SMB auth and radius 
authentication transparently and easily interchangeable, wherever 
the HTTP protocol allows it.

%prep

%setup -q
%patch

%build
cp mod_auth_pam.c mod_pam_auth.c
%{_sbindir}/apxs -c mod_pam_auth.c -o mod_pam_auth.so -lpam -ldl

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache
install -d %{buildroot}/etc/pam.d

install -m0755 mod_pam_auth.so %{buildroot}%{_libdir}/apache/mod_pam_auth.so
install -m0644 samples/httpd-rh6+ %{buildroot}/etc/pam.d/httpd

%pre
#Check config file sanity
if [ -e %{_sbindir}/ap13chkconfig ]; then %{_sbindir}/ap13chkconfig;fi

%post
if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi

%postun
if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README doc/configure.txt doc/faq.txt  doc/install.txt
%config(noreplace) %{_sysconfdir}/pam.d/httpd
%{_libdir}/apache/mod_pam_auth.so

%changelog
* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-10mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-9mdk
- built for apache 1.3.33

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-8mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.1-7mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-6mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-5mdk
- new macros from ADVX-build

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1.1-4mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-3mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-2mdk
- Rebuild with new apache

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- from Franck Martin <franck@sopac.org> :
	- Packaged for mdk8.2
